低危 Mozilla Firefox 74.0.0/ESR 68.6.0 nsDocShell Destructor 内存错误引用漏洞

CVE编号

CVE-2020-6819

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-04-25
漏洞描述
Mozilla Firefox是美国Mozilla基金会的一款开源Web浏览器。Mozilla Firefox在运行nsDocShell析构函数时,存在竞争条件导致的释放后重利用漏洞,此漏洞源于mContentViewer没有正确释放。攻击者诱导用户访问精心制作的恶意网站,以触发漏洞,从而在用户设备上执行恶意代码。<br>
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://www.mozilla.org/en-US/security/advisories/mfsa2020-11/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mozilla firefox * Up to
(excluding)
74.0.1
运行在以下环境
应用 mozilla firefox_esr * Up to
(excluding)
68.6.1
运行在以下环境
应用 mozilla thunderbird * Up to
(excluding)
68.7.0
运行在以下环境
系统 redhat_6 firefox * Up to
(excluding)
0:68.6.1-1.el6_10
运行在以下环境
系统 redhat_6 thunderbird * Up to
(excluding)
0:68.7.0-1.el6_10
运行在以下环境
系统 redhat_7 firefox * Up to
(excluding)
0:68.6.1-1.el7_8
运行在以下环境
系统 redhat_7 thunderbird * Up to
(excluding)
0:68.7.0-1.el7_8
运行在以下环境
系统 suse_12 MozillaFirefox * Up to
(excluding)
68.6.1-109.113
运行在以下环境
系统 ubuntu_16.04.7_lts firefox * Up to
(excluding)
74.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_16.04_lts firefox * Up to
(excluding)
74.0.1+build1-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts firefox * Up to
(excluding)
74.0.1+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_18.04_lts firefox * Up to
(excluding)
74.0.1+build1-0ubuntu0.18.04.1
阿里云评分
2.3
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    -
CWE-ID 漏洞类型
CWE-416 释放后使用
CWE-787 跨界内存写
阿里云安全产品覆盖情况